pcl::visualization::PCLHistogramVisualizerInteractorStyle Class Reference

PCL histogram visualizer interactory style class. More...

`#include <pcl/visualization/interactor_style.h>`

Inheritance diagram for pcl::visualization::PCLHistogramVisualizerInteractorStyle:

## Public Member Functions

| PCLHistogramVisualizerInteractorStyle ()
| Empty constructor. More...
void | Initialize ()
| Initialization routine. More...
void | setRenWinInteractMap (const RenWinInteractMap &wins)
| Pass a map of render/window/interactors to the interactor style. More...

## Static Public Member Functions

static PCLHistogramVisualizerInteractorStyle * | New ()

## Detailed Description

PCL histogram visualizer interactory style class.

Author
  Radu B. Rusu

Definition at line 382 of file interactor_style.h.

## Constructor & Destructor Documentation

pcl::visualization::PCLHistogramVisualizerInteractorStyle::PCLHistogramVisualizerInteractorStyle | ( |  | ) |

inline

Empty constructor.

Definition at line 388 of file interactor_style.h.

## Member Function Documentation

void pcl::visualization::PCLHistogramVisualizerInteractorStyle::Initialize | ( |  | ) |

Initialization routine.

Must be called before anything else.

static PCLHistogramVisualizerInteractorStyle* pcl::visualization::PCLHistogramVisualizerInteractorStyle::New | ( |  | ) |

static

void pcl::visualization::PCLHistogramVisualizerInteractorStyle::setRenWinInteractMap | ( | const RenWinInteractMap & | wins | ) |

inline

Pass a map of render/window/interactors to the interactor style.

Parameters

  [in] | wins | the RenWinInteract map to use

Definition at line 398 of file interactor_style.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/interactor_style.h